Cambrionix connect
Developers
Authentication API

Organization Invitations

View and administer organization invitations.

Invite a User to an Organization

POST

/invite

Create a new invite for a user to join an organization.

Requires a bearer access token for this API. See Authentication.

Request body

one of

Option 1: one of

Option 2: OrganizationInvitePayload[]

Responses

200

The Issued Authorization Token.

any of

Option 1: object

Option 2: object

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/invite" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "groupIds": [],
  "ttl": 0,
  "email": "string",
  "type": "email"
}'

Delete an Invite

DELETE

/invite

Delete an organization invitation.

Requires a bearer access token for this API. See Authentication.

Request body

object

Responses

200

Ok

object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/v1/invite" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "john.smith@cambrionix.com"
}'

List Invite Tokens

GET

/invites

Get a list of currently valid invite tokens.

Requires a bearer access token for this API. See Authentication.

Parameters

tokenstringquery

Continuation token

limitintegerquery

Number of records to return

Responses

200

A list of invite codes.

object
_metadataobject

Paging details for the list.

resultOrganizationInvite[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/invites" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Join Organization

POST

/organization/join

Join an organization.

Requires a bearer access token for this API. See Authentication.

Request body

any of

Option 1: object

Option 2: object

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultany ofrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/organization/join" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "string",
  "organizationId": "string"
}'